/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include <string.h>
#include "../__attributes.h"

#ifndef LIBCDSB_EXTRA_CSTRING_H
#define LIBCDSB_EXTRA_CSTRING_H

extern size_t libcdsb_strlen     (const char* s) Pure__ Warn_unused_result__ Nonnull__(1);
extern size_t libcdsb_strasciilen(const char* s) Pure__ Warn_unused_result__ Nonnull__(1);

extern char* libcdsb_strdup (const char* s)           Warn_unused_result__ Nonnull__(1);
extern char* libcdsb_strndup(const char* s, size_t n) Warn_unused_result__ Nonnull__(1);
extern void* libcdsb_memndup(const void* m, size_t n) Warn_unused_result__ Nonnull__(1);

#define strlen      libcdsb_strlen
#define strasciilen libcdsb_strasciilen

#define strdup  libcdsb_strdup
#define strndup libcdsb_strndup
#define memndup libcdsb_memndup

#endif /* LIBCDSB_EXTRA_CSTRING_H */
