/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "include.h"

int libcdsb_dict_find_by_pointer(dict_t* x, const   void* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_cstring(dict_t* x, const   char* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_string (dict_t* x, const  str_t* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x,  k, vtypeof( k), _, cb, cut); }
int libcdsb_dict_find_by_array  (dict_t* x, const  arr_t* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x,  k, vtypeof( k), _, cb, cut); }
int libcdsb_dict_find_by_list   (dict_t* x, const list_t* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x,  k, vtypeof( k), _, cb, cut); }
int libcdsb_dict_find_by_map    (dict_t* x, const  map_t* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x,  k, vtypeof( k), _, cb, cut); }
int libcdsb_dict_find_by_vset   (dict_t* x, const  set_t* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x,  k, vtypeof( k), _, cb, cut); }
int libcdsb_dict_find_by_dict   (dict_t* x, const dict_t* k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x,  k, vtypeof( k), _, cb, cut); }
int libcdsb_dict_find_by_boolean(dict_t* x,          bool k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_int8   (dict_t* x,          s8_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_int16  (dict_t* x,         s16_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_int32  (dict_t* x,         s32_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_int64  (dict_t* x,         s64_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_uint8  (dict_t* x,          u8_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_uint16 (dict_t* x,         u16_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_uint32 (dict_t* x,         u32_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_uint64 (dict_t* x,         u64_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_float  (dict_t* x,          fl_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_double (dict_t* x,         dbl_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }
int libcdsb_dict_find_by_ldouble(dict_t* x,        ldbl_t k, void* _, dict_access_callback cb, bool cut) { return libcdsb_dict_find(x, &k, vtypeof(&k), _, cb, cut); }

bool libcdsb_dict_update_pointer_pointer(dict_t* x, const void* k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_cstring(dict_t* x, const void* k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_string (dict_t* x, const void* k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_pointer_array  (dict_t* x, const void* k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_pointer_list   (dict_t* x, const void* k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_pointer_map    (dict_t* x, const void* k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_pointer_vset   (dict_t* x, const void* k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_pointer_dict   (dict_t* x, const void* k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_pointer_boolean(dict_t* x, const void* k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_int8   (dict_t* x, const void* k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_int16  (dict_t* x, const void* k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_int32  (dict_t* x, const void* k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_int64  (dict_t* x, const void* k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_uint8  (dict_t* x, const void* k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_uint16 (dict_t* x, const void* k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_uint32 (dict_t* x, const void* k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_uint64 (dict_t* x, const void* k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_float  (dict_t* x, const void* k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_double (dict_t* x, const void* k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_pointer_ldouble(dict_t* x, const void* k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_cstring_pointer(dict_t* x, const char* k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_cstring(dict_t* x, const char* k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_string (dict_t* x, const char* k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_cstring_array  (dict_t* x, const char* k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_cstring_list   (dict_t* x, const char* k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_cstring_map    (dict_t* x, const char* k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_cstring_vset   (dict_t* x, const char* k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_cstring_dict   (dict_t* x, const char* k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_cstring_boolean(dict_t* x, const char* k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_int8   (dict_t* x, const char* k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_int16  (dict_t* x, const char* k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_int32  (dict_t* x, const char* k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_int64  (dict_t* x, const char* k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_uint8  (dict_t* x, const char* k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_uint16 (dict_t* x, const char* k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_uint32 (dict_t* x, const char* k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_uint64 (dict_t* x, const char* k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_float  (dict_t* x, const char* k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_double (dict_t* x, const char* k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_cstring_ldouble(dict_t* x, const char* k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_string_pointer(dict_t* x, const str_t* k, const   void* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_cstring(dict_t* x, const str_t* k, const   char* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_string (dict_t* x, const str_t* k, const  str_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_string_array  (dict_t* x, const str_t* k, const  arr_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_string_list   (dict_t* x, const str_t* k, const list_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_string_map    (dict_t* x, const str_t* k, const  map_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_string_vset   (dict_t* x, const str_t* k, const  set_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_string_dict   (dict_t* x, const str_t* k, const dict_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_string_boolean(dict_t* x, const str_t* k,          bool v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_int8   (dict_t* x, const str_t* k,          s8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_int16  (dict_t* x, const str_t* k,         s16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_int32  (dict_t* x, const str_t* k,         s32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_int64  (dict_t* x, const str_t* k,         s64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_uint8  (dict_t* x, const str_t* k,          u8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_uint16 (dict_t* x, const str_t* k,         u16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_uint32 (dict_t* x, const str_t* k,         u32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_uint64 (dict_t* x, const str_t* k,         u64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_float  (dict_t* x, const str_t* k,          fl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_double (dict_t* x, const str_t* k,         dbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_string_ldouble(dict_t* x, const str_t* k,        ldbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_array_pointer(dict_t* x, const arr_t* k, const   void* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_cstring(dict_t* x, const arr_t* k, const   char* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_string (dict_t* x, const arr_t* k, const  str_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_array_array  (dict_t* x, const arr_t* k, const  arr_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_array_list   (dict_t* x, const arr_t* k, const list_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_array_map    (dict_t* x, const arr_t* k, const  map_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_array_vset   (dict_t* x, const arr_t* k, const  set_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_array_dict   (dict_t* x, const arr_t* k, const dict_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_array_boolean(dict_t* x, const arr_t* k,          bool v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_int8   (dict_t* x, const arr_t* k,          s8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_int16  (dict_t* x, const arr_t* k,         s16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_int32  (dict_t* x, const arr_t* k,         s32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_int64  (dict_t* x, const arr_t* k,         s64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_uint8  (dict_t* x, const arr_t* k,          u8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_uint16 (dict_t* x, const arr_t* k,         u16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_uint32 (dict_t* x, const arr_t* k,         u32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_uint64 (dict_t* x, const arr_t* k,         u64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_float  (dict_t* x, const arr_t* k,          fl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_double (dict_t* x, const arr_t* k,         dbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_array_ldouble(dict_t* x, const arr_t* k,        ldbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_list_pointer(dict_t* x, const list_t* k, const   void* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_cstring(dict_t* x, const list_t* k, const   char* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_string (dict_t* x, const list_t* k, const  str_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_list_array  (dict_t* x, const list_t* k, const  arr_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_list_list   (dict_t* x, const list_t* k, const list_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_list_map    (dict_t* x, const list_t* k, const  map_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_list_vset   (dict_t* x, const list_t* k, const  set_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_list_dict   (dict_t* x, const list_t* k, const dict_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_list_boolean(dict_t* x, const list_t* k,          bool v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_int8   (dict_t* x, const list_t* k,          s8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_int16  (dict_t* x, const list_t* k,         s16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_int32  (dict_t* x, const list_t* k,         s32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_int64  (dict_t* x, const list_t* k,         s64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_uint8  (dict_t* x, const list_t* k,          u8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_uint16 (dict_t* x, const list_t* k,         u16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_uint32 (dict_t* x, const list_t* k,         u32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_uint64 (dict_t* x, const list_t* k,         u64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_float  (dict_t* x, const list_t* k,          fl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_double (dict_t* x, const list_t* k,         dbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_list_ldouble(dict_t* x, const list_t* k,        ldbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_map_pointer(dict_t* x, const map_t* k, const   void* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_cstring(dict_t* x, const map_t* k, const   char* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_string (dict_t* x, const map_t* k, const  str_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_map_array  (dict_t* x, const map_t* k, const  arr_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_map_list   (dict_t* x, const map_t* k, const list_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_map_map    (dict_t* x, const map_t* k, const  map_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_map_vset   (dict_t* x, const map_t* k, const  set_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_map_dict   (dict_t* x, const map_t* k, const dict_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_map_boolean(dict_t* x, const map_t* k,          bool v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_int8   (dict_t* x, const map_t* k,          s8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_int16  (dict_t* x, const map_t* k,         s16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_int32  (dict_t* x, const map_t* k,         s32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_int64  (dict_t* x, const map_t* k,         s64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_uint8  (dict_t* x, const map_t* k,          u8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_uint16 (dict_t* x, const map_t* k,         u16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_uint32 (dict_t* x, const map_t* k,         u32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_uint64 (dict_t* x, const map_t* k,         u64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_float  (dict_t* x, const map_t* k,          fl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_double (dict_t* x, const map_t* k,         dbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_map_ldouble(dict_t* x, const map_t* k,        ldbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_vset_pointer(dict_t* x, const set_t* k, const   void* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_cstring(dict_t* x, const set_t* k, const   char* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_string (dict_t* x, const set_t* k, const  str_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_vset_array  (dict_t* x, const set_t* k, const  arr_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_vset_list   (dict_t* x, const set_t* k, const list_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_vset_map    (dict_t* x, const set_t* k, const  map_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_vset_vset   (dict_t* x, const set_t* k, const  set_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_vset_dict   (dict_t* x, const set_t* k, const dict_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_vset_boolean(dict_t* x, const set_t* k,          bool v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_int8   (dict_t* x, const set_t* k,          s8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_int16  (dict_t* x, const set_t* k,         s16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_int32  (dict_t* x, const set_t* k,         s32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_int64  (dict_t* x, const set_t* k,         s64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_uint8  (dict_t* x, const set_t* k,          u8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_uint16 (dict_t* x, const set_t* k,         u16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_uint32 (dict_t* x, const set_t* k,         u32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_uint64 (dict_t* x, const set_t* k,         u64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_float  (dict_t* x, const set_t* k,          fl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_double (dict_t* x, const set_t* k,         dbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_vset_ldouble(dict_t* x, const set_t* k,        ldbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_dict_pointer(dict_t* x, const dict_t* k, const   void* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_cstring(dict_t* x, const dict_t* k, const   char* v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_string (dict_t* x, const dict_t* k, const  str_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_dict_array  (dict_t* x, const dict_t* k, const  arr_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_dict_list   (dict_t* x, const dict_t* k, const list_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_dict_map    (dict_t* x, const dict_t* k, const  map_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_dict_vset   (dict_t* x, const dict_t* k, const  set_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_dict_dict   (dict_t* x, const dict_t* k, const dict_t* v) { return libcdsb_dict_update(x, k, vtypeof(k),  v, vtypeof( v)); }
bool libcdsb_dict_update_dict_boolean(dict_t* x, const dict_t* k,          bool v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_int8   (dict_t* x, const dict_t* k,          s8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_int16  (dict_t* x, const dict_t* k,         s16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_int32  (dict_t* x, const dict_t* k,         s32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_int64  (dict_t* x, const dict_t* k,         s64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_uint8  (dict_t* x, const dict_t* k,          u8_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_uint16 (dict_t* x, const dict_t* k,         u16_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_uint32 (dict_t* x, const dict_t* k,         u32_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_uint64 (dict_t* x, const dict_t* k,         u64_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_float  (dict_t* x, const dict_t* k,          fl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_double (dict_t* x, const dict_t* k,         dbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_dict_ldouble(dict_t* x, const dict_t* k,        ldbl_t v) { return libcdsb_dict_update(x, k, vtypeof(k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_boolean_pointer(dict_t* x, bool k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_cstring(dict_t* x, bool k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_string (dict_t* x, bool k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_boolean_array  (dict_t* x, bool k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_boolean_list   (dict_t* x, bool k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_boolean_map    (dict_t* x, bool k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_boolean_vset   (dict_t* x, bool k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_boolean_dict   (dict_t* x, bool k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_boolean_boolean(dict_t* x, bool k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_int8   (dict_t* x, bool k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_int16  (dict_t* x, bool k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_int32  (dict_t* x, bool k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_int64  (dict_t* x, bool k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_uint8  (dict_t* x, bool k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_uint16 (dict_t* x, bool k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_uint32 (dict_t* x, bool k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_uint64 (dict_t* x, bool k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_float  (dict_t* x, bool k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_double (dict_t* x, bool k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_boolean_ldouble(dict_t* x, bool k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_uint8_pointer(dict_t* x, u8_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_cstring(dict_t* x, u8_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_string (dict_t* x, u8_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint8_array  (dict_t* x, u8_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint8_list   (dict_t* x, u8_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint8_map    (dict_t* x, u8_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint8_vset   (dict_t* x, u8_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint8_dict   (dict_t* x, u8_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint8_boolean(dict_t* x, u8_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_int8   (dict_t* x, u8_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_int16  (dict_t* x, u8_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_int32  (dict_t* x, u8_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_int64  (dict_t* x, u8_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_uint8  (dict_t* x, u8_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_uint16 (dict_t* x, u8_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_uint32 (dict_t* x, u8_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_uint64 (dict_t* x, u8_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_float  (dict_t* x, u8_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_double (dict_t* x, u8_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint8_ldouble(dict_t* x, u8_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_uint16_pointer(dict_t* x, u16_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_cstring(dict_t* x, u16_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_string (dict_t* x, u16_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint16_array  (dict_t* x, u16_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint16_list   (dict_t* x, u16_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint16_map    (dict_t* x, u16_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint16_vset   (dict_t* x, u16_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint16_dict   (dict_t* x, u16_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint16_boolean(dict_t* x, u16_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_int8   (dict_t* x, u16_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_int16  (dict_t* x, u16_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_int32  (dict_t* x, u16_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_int64  (dict_t* x, u16_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_uint8  (dict_t* x, u16_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_uint16 (dict_t* x, u16_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_uint32 (dict_t* x, u16_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_uint64 (dict_t* x, u16_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_float  (dict_t* x, u16_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_double (dict_t* x, u16_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint16_ldouble(dict_t* x, u16_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_uint32_pointer(dict_t* x, u32_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_cstring(dict_t* x, u32_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_string (dict_t* x, u32_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint32_array  (dict_t* x, u32_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint32_list   (dict_t* x, u32_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint32_map    (dict_t* x, u32_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint32_vset   (dict_t* x, u32_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint32_dict   (dict_t* x, u32_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint32_boolean(dict_t* x, u32_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_int8   (dict_t* x, u32_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_int16  (dict_t* x, u32_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_int32  (dict_t* x, u32_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_int64  (dict_t* x, u32_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_uint8  (dict_t* x, u32_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_uint16 (dict_t* x, u32_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_uint32 (dict_t* x, u32_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_uint64 (dict_t* x, u32_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_float  (dict_t* x, u32_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_double (dict_t* x, u32_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint32_ldouble(dict_t* x, u32_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_uint64_pointer(dict_t* x, u64_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_cstring(dict_t* x, u64_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_string (dict_t* x, u64_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint64_array  (dict_t* x, u64_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint64_list   (dict_t* x, u64_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint64_map    (dict_t* x, u64_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint64_vset   (dict_t* x, u64_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint64_dict   (dict_t* x, u64_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_uint64_boolean(dict_t* x, u64_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_int8   (dict_t* x, u64_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_int16  (dict_t* x, u64_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_int32  (dict_t* x, u64_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_int64  (dict_t* x, u64_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_uint8  (dict_t* x, u64_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_uint16 (dict_t* x, u64_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_uint32 (dict_t* x, u64_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_uint64 (dict_t* x, u64_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_float  (dict_t* x, u64_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_double (dict_t* x, u64_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_uint64_ldouble(dict_t* x, u64_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_int8_pointer(dict_t* x, s8_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_cstring(dict_t* x, s8_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_string (dict_t* x, s8_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int8_array  (dict_t* x, s8_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int8_list   (dict_t* x, s8_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int8_map    (dict_t* x, s8_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int8_vset   (dict_t* x, s8_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int8_dict   (dict_t* x, s8_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int8_boolean(dict_t* x, s8_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_int8   (dict_t* x, s8_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_int16  (dict_t* x, s8_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_int32  (dict_t* x, s8_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_int64  (dict_t* x, s8_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_uint8  (dict_t* x, s8_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_uint16 (dict_t* x, s8_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_uint32 (dict_t* x, s8_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_uint64 (dict_t* x, s8_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_float  (dict_t* x, s8_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_double (dict_t* x, s8_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int8_ldouble(dict_t* x, s8_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_int16_pointer(dict_t* x, s16_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_cstring(dict_t* x, s16_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_string (dict_t* x, s16_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int16_array  (dict_t* x, s16_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int16_list   (dict_t* x, s16_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int16_map    (dict_t* x, s16_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int16_vset   (dict_t* x, s16_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int16_dict   (dict_t* x, s16_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int16_boolean(dict_t* x, s16_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_int8   (dict_t* x, s16_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_int16  (dict_t* x, s16_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_int32  (dict_t* x, s16_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_int64  (dict_t* x, s16_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_uint8  (dict_t* x, s16_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_uint16 (dict_t* x, s16_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_uint32 (dict_t* x, s16_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_uint64 (dict_t* x, s16_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_float  (dict_t* x, s16_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_double (dict_t* x, s16_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int16_ldouble(dict_t* x, s16_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_int32_pointer(dict_t* x, s32_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_cstring(dict_t* x, s32_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_string (dict_t* x, s32_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int32_array  (dict_t* x, s32_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int32_list   (dict_t* x, s32_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int32_map    (dict_t* x, s32_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int32_vset   (dict_t* x, s32_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int32_dict   (dict_t* x, s32_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int32_boolean(dict_t* x, s32_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_int8   (dict_t* x, s32_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_int16  (dict_t* x, s32_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_int32  (dict_t* x, s32_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_int64  (dict_t* x, s32_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_uint8  (dict_t* x, s32_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_uint16 (dict_t* x, s32_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_uint32 (dict_t* x, s32_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_uint64 (dict_t* x, s32_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_float  (dict_t* x, s32_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_double (dict_t* x, s32_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int32_ldouble(dict_t* x, s32_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_int64_pointer(dict_t* x, s64_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_cstring(dict_t* x, s64_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_string (dict_t* x, s64_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int64_array  (dict_t* x, s64_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int64_list   (dict_t* x, s64_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int64_map    (dict_t* x, s64_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int64_vset   (dict_t* x, s64_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int64_dict   (dict_t* x, s64_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_int64_boolean(dict_t* x, s64_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_int8   (dict_t* x, s64_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_int16  (dict_t* x, s64_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_int32  (dict_t* x, s64_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_int64  (dict_t* x, s64_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_uint8  (dict_t* x, s64_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_uint16 (dict_t* x, s64_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_uint32 (dict_t* x, s64_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_uint64 (dict_t* x, s64_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_float  (dict_t* x, s64_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_double (dict_t* x, s64_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_int64_ldouble(dict_t* x, s64_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_float_pointer(dict_t* x, fl_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_cstring(dict_t* x, fl_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_string (dict_t* x, fl_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_float_array  (dict_t* x, fl_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_float_list   (dict_t* x, fl_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_float_map    (dict_t* x, fl_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_float_vset   (dict_t* x, fl_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_float_dict   (dict_t* x, fl_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_float_boolean(dict_t* x, fl_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_int8   (dict_t* x, fl_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_int16  (dict_t* x, fl_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_int32  (dict_t* x, fl_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_int64  (dict_t* x, fl_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_uint8  (dict_t* x, fl_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_uint16 (dict_t* x, fl_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_uint32 (dict_t* x, fl_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_uint64 (dict_t* x, fl_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_float  (dict_t* x, fl_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_double (dict_t* x, fl_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_float_ldouble(dict_t* x, fl_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_double_pointer(dict_t* x, dbl_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_cstring(dict_t* x, dbl_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_string (dict_t* x, dbl_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_double_array  (dict_t* x, dbl_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_double_list   (dict_t* x, dbl_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_double_map    (dict_t* x, dbl_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_double_vset   (dict_t* x, dbl_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_double_dict   (dict_t* x, dbl_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_double_boolean(dict_t* x, dbl_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_int8   (dict_t* x, dbl_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_int16  (dict_t* x, dbl_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_int32  (dict_t* x, dbl_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_int64  (dict_t* x, dbl_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_uint8  (dict_t* x, dbl_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_uint16 (dict_t* x, dbl_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_uint32 (dict_t* x, dbl_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_uint64 (dict_t* x, dbl_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_float  (dict_t* x, dbl_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_double (dict_t* x, dbl_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_double_ldouble(dict_t* x, dbl_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }

bool libcdsb_dict_update_ldouble_pointer(dict_t* x, ldbl_t k, const   void* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_cstring(dict_t* x, ldbl_t k, const   char* v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_string (dict_t* x, ldbl_t k, const  str_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_ldouble_array  (dict_t* x, ldbl_t k, const  arr_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_ldouble_list   (dict_t* x, ldbl_t k, const list_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_ldouble_map    (dict_t* x, ldbl_t k, const  map_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_ldouble_vset   (dict_t* x, ldbl_t k, const  set_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_ldouble_dict   (dict_t* x, ldbl_t k, const dict_t* v) { return libcdsb_dict_update(x, &k, vtypeof(&k),  v, vtypeof( v)); }
bool libcdsb_dict_update_ldouble_boolean(dict_t* x, ldbl_t k,          bool v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_int8   (dict_t* x, ldbl_t k,          s8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_int16  (dict_t* x, ldbl_t k,         s16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_int32  (dict_t* x, ldbl_t k,         s32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_int64  (dict_t* x, ldbl_t k,         s64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_uint8  (dict_t* x, ldbl_t k,          u8_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_uint16 (dict_t* x, ldbl_t k,         u16_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_uint32 (dict_t* x, ldbl_t k,         u32_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_uint64 (dict_t* x, ldbl_t k,         u64_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_float  (dict_t* x, ldbl_t k,          fl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_double (dict_t* x, ldbl_t k,         dbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
bool libcdsb_dict_update_ldouble_ldouble(dict_t* x, ldbl_t k,        ldbl_t v) { return libcdsb_dict_update(x, &k, vtypeof(&k), &v, vtypeof(&v)); }
